---
  parserOptions:
    ecmaVersion: 6
    sourceType: module
  env:
    es6: true
    mocha: true
  rules:
    no-dupe-args: error
    no-dupe-keys: error
    no-duplicate-case: error
    no-empty: error
    no-func-assign: error
    no-inner-declarations: error
    no-irregular-whitespace: error
    no-unexpected-multiline: error
    no-unreachable: error
    use-isnan: error
    valid-jsdoc:
      - off
      -
        prefer:
          returns: return
        preferType:
          Boolean: boolean
          Number: number
          String: string
          array: Array
          object: Object
        requireReturn: false
        requireParamDescription: false
        requireReturnDescription: false
    valid-typeof: error
    dot-location:
      - error
      - property
    eqeqeq: error
    no-empty-function: error
    no-extend-native: error
    no-extra-bind: error
    no-multi-spaces: error
    no-native-reassign: error
    no-redeclare: error
    no-return-assign: error
    no-unused-expressions: error
    radix: error
    yoda: error
    no-unused-vars: error
    array-bracket-spacing: error
    comma-spacing: error
    indent:
      - off
      - 2
    max-len: error
    max-params:
      - warn
      - 5
    no-lonely-if: error
    no-nested-ternary: error
    no-spaced-func: error
    no-trailing-spaces: error
    no-var: off
    prefer-const: off
